<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/akta/pidana_militer/".$filename.".rtf");

$Template = file_get_contents($url);
$list_info_pemberitahuan_putusan=$ls_pemberitahuan_putusan->result();
$tgl_pemberitahuan_sql=$list_info_pemberitahuan_putusan[0]->tanggal_pemberitahuan_putusan;
$expl_tgl = explode('-',$tgl_pemberitahuan_sql);
$tahun = $expl_tgl[0];
$bulan = $this->templatehelper->convertToRomawi($expl_tgl[1]);
$tgl_pemberitahuan=$this->templatehelper->convertKeTglIndo($tgl_pemberitahuan_sql);
$hari_pemberitahuan = $this->templatehelper->getHari($tgl_pemberitahuan_sql);
$nama_pangkat_korp = $list_info_pemberitahuan_putusan[0]->nama;	
if ($pihak_ke=='1'){
	$nrp_pihak=$list_info_pemberitahuan_putusan[0]->nrp_1;
	$nama=$list_info_pemberitahuan_putusan[0]->nama_1;
	$pangkat=$list_info_pemberitahuan_putusan[0]->pangkat_1;
	$kode_otmil=$list_info_pemberitahuan_putusan[0]->kejaksaan;
	$kode_otmil=str_replace('Oditurat Militer', '', ($kode_otmil));
}else{
	$nrp_pihak=$list_info_pemberitahuan_putusan[0]->nrp_2;
	$nama=$list_info_pemberitahuan_putusan[0]->nama_2;
	$pangkat=$list_info_pemberitahuan_putusan[0]->pangkat_2;
	$kode_otmil='';
}
$nama_pangkat_panitera=$info_panitera[0]->pangkat.' '.$info_panitera[0]->nama_gelar;
$nama_panitera=$info_panitera[0]->nama_gelar;
$pangkat_panitera=$info_panitera[0]->pangkat;
$nrp_panitera = $info_panitera[0]->nip;

$nomorperkara=$list_info_pemberitahuan_putusan[0]->nomor_perkara;
$expl_nmr_perkara = explode('/', $nomorperkara);

$Template = str_replace('#kode_pn1#',$kode_pn1 = str_replace("PM.", "", $info_pn->kode_pn),$Template);
$arr=explode(' ',$info_pn->nama);
$Template = str_replace('#kota_pn1#',strtoupper($arr[3]),$Template);
$Template = str_replace('#kota_pn#',ucwords(strtolower($arr[3])),$Template);
$Template = str_replace('#tanggal_menerima#',$tgl_pemberitahuan,$Template);
$Template = str_replace('#hari_menerima#',$hari_pemberitahuan,$Template);
$Template = str_replace('#nomor_putusan#',$nomorperkara,$Template);
$Template = str_replace('#no_register#',$expl_nmr_perkara[0],$Template);
$Template = str_replace('#matra#',$expl_nmr_perkara[2],$Template);
$Template = str_replace('#bulan#',$bulan,$Template);
$Template = str_replace('#tahun#',$tahun,$Template);
$Template = str_replace('#kode_pn#',$info_pn->kode_pn,$Template);
$Template = str_replace('#tanggal_putus#',$this->templatehelper->convertKeTglIndo($tgl_putusan),$Template);
$Template = str_replace('#nama_pangkat_panitera#',$nama_pangkat_panitera,$Template);
$Template = str_replace('#nrp_panitera#',$nrp_panitera,$Template);
$Template = str_replace('#nama_pangkat_korp_oditur#',$nama_pangkat_korp,$Template);
$Template = str_replace('#nama_pangkat_korp_terdakwa#',$nama_pangkat_korp,$Template);
$Template = str_replace('#nrp_oditur#',$nrp_pihak,$Template);
$Template = str_replace('#nrp_terdakwa#',$nrp_pihak,$Template);
$Template = str_replace('#nama_panitera#',$nama_panitera,$Template);
$Template = str_replace('#pangkat_panitera#',$pangkat_panitera,$Template);
$Template = str_replace('#nama_oditur#',$nama,$Template);
$Template = str_replace('#pangkat_oditur#',$pangkat,$Template);
$Template = str_replace('#nama_terdakwa#',$nama,$Template);
$Template = str_replace('#pangkat_terdakwa#',$pangkat,$Template);
$Template = str_replace('#kode_otmil#',$kode_otmil,$Template);

//exit();

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;

?>